Verified Commit 15a4cc21 authored by Elias Häußler's avatar Elias Häußler 🐛
Browse files

[FEATURE] Add support for PHP 8.0

parent 09a2ba8c
Pipeline #773 passed with stages
in 1 minute and 15 seconds
default:
image: webdevops/php:8.0
variables: variables:
COMPOSER_CACHE_DIR: /cache/composer COMPOSER_CACHE_DIR: /cache/composer
COMPOSER_ALLOW_SUPERUSER: "1" COMPOSER_ALLOW_SUPERUSER: "1"
...@@ -17,7 +20,6 @@ stages: ...@@ -17,7 +20,6 @@ stages:
- test - test
lint:php: lint:php:
image: webdevops/php:7.4
stage: lint stage: lint
before_script: before_script:
- composer install --no-progress - composer install --no-progress
...@@ -58,11 +60,11 @@ test: ...@@ -58,11 +60,11 @@ test:
fi fi
parallel: parallel:
matrix: matrix:
- PHP_VERSION: ["7.1", "7.2", "7.3"] - PHP_VERSION: ["7.1", "7.2", "7.3", "7.4"]
COMPOSER_VERSION: ["1", "2"] COMPOSER_VERSION: ["1", "2"]
- PHP_VERSION: "7.4" - PHP_VERSION: "8.0"
COMPOSER_VERSION: "1" COMPOSER_VERSION: "1"
- PHP_VERSION: "7.4" - PHP_VERSION: "8.0"
COMPOSER_VERSION: "2" COMPOSER_VERSION: "2"
COVERAGE: "1" COVERAGE: "1"
retry: retry:
......
...@@ -19,7 +19,7 @@ ...@@ -19,7 +19,7 @@
"sort-packages": true "sort-packages": true
}, },
"require": { "require": {
"php": "^7.1", "php": "^7.1 || 8.0.*",
"ext-json": "*", "ext-json": "*",
"composer-plugin-api": "^1.0 || ^2.0", "composer-plugin-api": "^1.0 || ^2.0",
"eliashaeussler/composer-update-check": "^1.0@dev", "eliashaeussler/composer-update-check": "^1.0@dev",
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment